[CmdletBinding(SupportsShouldProcess)]param([string[]]$ProjectPath=@($PWD))

$local:editCandidates = @('docker-compose.yml','.base.docker-compose.yml')
$local:editFiles = @()
foreach( $local:fileName in $EditCandidates ) {
    foreach( $local:path in $ProjectPath ) {
        $local:testPath = Join-Path $path $fileName
        if( Test-Path $testPath ) { $editFiles += $testPath }
    }
}

Edit-TextFile $editFiles

docker-compose config -q
